---
title: Integrations
description: Unlighthouse can be integrated into your existing build tools and frameworks.
---

## Command Line

| Provider                 | Use Case                                                                                                                                                                                                                                            |
|--------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| [CLI](/integrations/cli) | Scan a production site such as [unlighthouse.dev](https://unlighthouse.dev).<br><br> You can manually provide a project mapping for [routes definitions](/guide/guides/route-definitions).                                                          |
| [CI](/integrations/ci)   | Run scans on sites based on automation events, i.e releasing and make [assertions on scores](/integrations/ci#assertions).<br><br> Can also be used to generate report sites such as [inspect.unlighthouse.dev](https://inspect.unlighthouse.dev/). |

## Build tools / Frameworks

::u-alert{type="warning"}
These integrations are now deprecated and will be removed in the v1 major release.
Read more about [integration deprecations](/integration-deprecations).
::

| Provider                                                                                                      | Features                                                                                      |
|---------------------------------------------------------------------------------------------------------------|-----------------------------------------------------------------------------------------------|
| <a href="/integrations/nuxt">Nuxt.js</a>   | <ul class="pl-3 p-0 m-0"><li>Hot Module Reloading</li><li>Automatic Route Discovery</li></ul> |
| <a href="/integrations/vite">Vite</a>        | <ul class="pl-3 p-0 m-0"><li>Hot Module Reloading</li><li>Automatic Route Discovery</li></ul> |
| <a href="/integrations/webpack">webpack</a>  | <ul class="pl-3 p-0 m-0"><li>Hot Module Reloading</li></ul>                                   |

## Getting Help

If you have questions or need help, reach out to the community on the [Discord](https://discord.gg/275MBUBvgP).
